Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.core
Class CollectionManager

    java.lang.Object
      com.dbxml.db.core.CollectionManager

All Implemented Interfaces:
  Configurable

Direct Known Subclasses:
  Collection

public abstract class CollectionManager
extends java.lang.Object
implements Configurable

CollectionManager is the base class for Collection, and as a result Database as well.

Method Summary
`Collection` | `createCollection(java.lang.String path, Configuration cfg)` createCollection creates a new Collection object and any associated system resources that the Collection will need.
`boolean` | `dropCollection(Collection collection)` dropCollection physically removes the specified Collection and any associated system resources that the Collection uses.
`abstract java.lang.String` | `getCanonicalName()` getCanonicalName returns the canonical name for this Object.
`Collection` | `getCollection(java.lang.String path)` getCollection retrieves a Collection by name.
`Configuration` | `getConfig()` getConfig retrieves the configuration information for the Configurable object instance.
`abstract Database` | `getDatabase()` getDatabase retrieves the Database that is associated with this CollectionManager.
`abstract java.lang.String` | `getName()` getName returns the name for this Object.
`abstract SystemCollection` | `getSystemCollection()` getSystemCollection returns the System Collection.
`java.lang.String[]` | `listCollections()` listCollections retrieves a list of Collections as an array of Strings.
`void` | `setConfig(Configuration config)` setConfig sets the configuration information for the Configurable object instance.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setConfig

    public void setConfig(Configuration config)
                   throws dbXMLException

  Description copied from interface: `Configurable`
  setConfig sets the configuration information for the Configurable object instance.

  Specified by:
    `setConfig` in interface `Configurable`
  Parameters:
    `config` - The configuration Node
  Throws:
    `dbXMLException`

### getConfig

    public Configuration getConfig()

  Description copied from interface: `Configurable`
  getConfig retrieves the configuration information for the Configurable object instance.

  Specified by:
    `getConfig` in interface `Configurable`
  Returns:
    The configuration Node

### getName

    public abstract java.lang.String getName()

  getName returns the name for this Object.
  ex: ocs

  Returns:
    The name

### getCanonicalName

    public abstract java.lang.String getCanonicalName()

  getCanonicalName returns the canonical name for this Object.
  ex: /local/test/ocs

  Returns:
    The canonical name

### getSystemCollection

    public abstract SystemCollection getSystemCollection()
                                                  throws DBException

  getSystemCollection returns the System Collection.

  Returns:
    The System Collection
  Throws:
    `DBException` - If a Database Exception occurs*

### getDatabase

    public abstract Database getDatabase()

  getDatabase retrieves the Database that is associated with this CollectionManager.

  Returns:
    The Database

### getCollection

    public Collection getCollection(java.lang.String path)
                             throws DBException

  getCollection retrieves a Collection by name.

  Parameters:
    `path` - The Collection path
  Returns:
    The Collection
  Throws:
    `DBException` - If a Database Exception occurs

### listCollections

    public final java.lang.String[] listCollections()
                                             throws DBException

  listCollections retrieves a list of Collections as an array of Strings.

  Returns:
    The Collection list
  Throws:
    `DBException` - If a Database Exception occurs

### dropCollection

    public boolean dropCollection(Collection collection)
                           throws DBException

  dropCollection physically removes the specified Collection and any associated system resources that the Collection uses.

  Parameters:
    `collection` - The Collection to drop
  Returns:
    Whether or not the Collection was dropped
  Throws:
    `DBException` - If a Database Exception occurs

### createCollection

    public Collection createCollection(java.lang.String path,
                                       Configuration cfg)
                                throws DBException

  createCollection creates a new Collection object and any associated system resources that the Collection will need.

  Parameters:
    `path` - The relative path of the Collection
    `cfg` - The Collection's configuration
  Returns:
    The newly created Collection
  Throws:
    `DBException` - If a Database Exception occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group